
Website Monitoring - Feature #2676

Improved handling of connection failures

04/20/2020 10:09 PM - Luke Murphey

Status: Closed Start date: 04/20/2020

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

1. Cache the proxy requests (https://github.com/dparker2/py-expiring-dict/tree/master/expiring_dict)

2. Consider using exponential back-off for the connection retries

Associated revisions

Revision 531 - 05/06/2020 10:29 PM - luke.murphey

Adding caching of app config calls

Closes #2676

History

#1 - 05/06/2020 10:31 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

#2 - 05/06/2020 10:31 PM - Luke Murphey

- Target version deleted (2.10)
